# Deal with "Empty %files file {buildroot}/ovirt-engine-sdk-go/debugsourcefiles.list"
%undefine _debugsource_packages
%undefine _debuginfo_subpackages

# Deal with "Empty %files file {buildroot}/ovirt-engine-sdk-go/debugfiles.list"
%global debug_package %{nil}

%global tar_version 4.3.9
%global import_path   github.com/ovirt/go-ovirt
%global gopath        %{_datadir}/gocode
%global build_gopath  %{buildroot}/%{gopath}

Name: go-ovirt-engine-sdk4
Summary: Go SDK for version 4 of the oVirt Engine API
Version: 4.3.9
Release: 1%{?dist}
License: ASL 2.0
URL: http://godoc.org/%{import_path}
Source: ovirt-engine-sdk-go-%{tar_version}.tar.gz

BuildRequires: golang


%description
This package contains the Go SDK for version 4 of the oVirt Engine API.


%package devel
BuildRequires:  golang
Requires:       golang
Summary:        Go SDK for version 4 of the oVirt Engine API
Provides:       golang(%{import_path}) = %{version}-%{release}

%description devel
This package contains the Go SDK for version 4 of the oVirt Engine API.


%prep
%setup -q -n ovirt-engine-sdk-go-%{tar_version}


%build


%install
install -d %{build_gopath}/src/%{import_path}
cp -av ./* %{build_gopath}/src/%{import_path}


%check
export GOPATH=%{build_gopath}
go test -v -mod=vendor ./
rm -fr %{build_gopath}/pkg/*


%files devel
%doc README.md examples
%license LICENSE.txt
%dir %{gopath}/src/%{import_path}
%{gopath}/src/%{import_path}/*


%changelog
* Tue Jan 29 2019 Joey Ma <majunjiev@gmail.com> - 4.3.0-1
- Update model to 4.3.20
- Use semantic versioning to manage the dependency of this sdk
- Add support for oVirt CI System integration
